<p align="center">
  <img src="https://weforge.xyz/partisan/Pulse/raw/branch/main/data/icon.svg" alt="Logo" width="64" height="64">
</p>

<p align="center" style="font-size: 32px;">
  <strong>Pulse</strong>
</p>

<p align="center">
Tiny app to redirect outgoing calls to Signal/Telegram/Threema/Whatsapp.
</p>

---

<p align="center">
  <strong>Screenshots</strong>
</p>

<p align="center">
  <span>
    <img src="https://weforge.xyz/partisan/Pulse/raw/branch/main/data/screenshot.png" alt="Main screen" height="500">
  </span>
  &nbsp;&nbsp;&nbsp;&nbsp;
  <span>
    <img src="https://weforge.xyz/partisan/Pulse/raw/branch/main/data/screenshot-redirecting.png" alt="Redirecting popup" height="500">
  </span>
</p>

You can cancel redirection by clicking on `Redirecting to..` popup.

## Permissions

* ACCESS_NETWORK_STATE - check internet is available
* CALL_PHONE           - make a call via messenger
* READ_CONTACTS        - check contact has a messenger record
* SYSTEM_ALERT_WINDOW  - show redirecting popup and launch an activity from background
* CALL_REDIRECTION     - process outgoing call

All permissions are mandatory.

## License
[![GNU GPLv3 Image](https://www.gnu.org/graphics/gplv3-127x51.png)](https://www.gnu.org/licenses/gpl-3.0.en.html)

This application is Free Software: You can use, study share and improve it at your will.
Specifically you can redistribute and/or modify it under the terms of the
[GNU General Public License v3](https://www.gnu.org/licenses/gpl.html) as published by the Free
Software Foundation.

### Icon Credit

Icon based on "Pulse 53" from the [Flare Dashed Icons](https://www.svgrepo.com/svg/450484/pulse) collection by [Taras Shypka](https://www.svgrepo.com/author/Taras%20Shypka/).  
Licensed under the [Public Domain](https://www.svgrepo.com/page/licensing/#PD).

### Original Author

[This software](https://github.com/x13a/Red) was originally developed by [x13a](https://github.com/x13a), but it has been archived by the owner on Jun 22, 2022.